> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get profile

GET https://astropods.com/api/v1/me

Returns the authenticated user's profile and accounts.

Reference: https://docs.astropods.com/api-reference/astro-ai-api/accounts/get-profile

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: astro-api
  version: 1.0.0
paths:
  /me:
    get:
      operationId: get-profile
      summary: Get profile
      description: Returns the authenticated user's profile and accounts.
      tags:
        - subpackage_accounts
      parameters:
        - name: Authorization
          in: header
          description: OAuth 2.0 device flow or platform session token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User profile and accounts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
servers:
  - url: https://astropods.com/api/v1
    description: Astro AI API server
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email_verified:
          type: boolean
        profile_picture_url:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      title: User
    AccountType:
      type: string
      enum:
        - personal
        - team
      title: AccountType
    AccountRole:
      type: string
      enum:
        - owner
        - admin
        - member
      title: AccountRole
    AgentSummary:
      type: object
      properties:
        name:
          type: string
        registry:
          type: string
        build_count:
          type: integer
        published_version_count:
          type: integer
      title: AgentSummary
    Account:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          $ref: '#/components/schemas/AccountType'
        role:
          $ref: '#/components/schemas/AccountRole'
        agents:
          type: array
          items:
            $ref: '#/components/schemas/AgentSummary'
      title: Account
    ProfileResponse:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/User'
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/Account'
      title: ProfileResponse
    Error:
      type: object
      properties:
        error:
          type: string
        details:
          type: string
      title: Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 device flow or platform session token

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "user": {
    "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "email": "jane.doe@example.com",
    "first_name": "Jane",
    "last_name": "Doe",
    "email_verified": true,
    "profile_picture_url": "https://cdn.astropods.com/profiles/jane_doe.png",
    "created_at": "2023-11-20T14:22:00Z",
    "updated_at": "2024-04-10T08:45:00Z"
  },
  "accounts": [
    {
      "id": "acc-9876543210",
      "name": "Jane's Personal Account",
      "type": "personal",
      "role": "owner",
      "agents": [
        {
          "name": "AstroBot",
          "registry": "docker.io/astroai/astrobot",
          "build_count": 12,
          "published_version_count": 5
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/me"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/me';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/me"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/me")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/me")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/me', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/me");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/me")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```